Bug 232333 - science/avogadro: Update to 1.2.0
Summary: science/avogadro: Update to 1.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-16 22:13 UTC by Yuri Victorovich
Modified: 2018-10-20 21:14 UTC (History)
1 user (show)

See Also:
tcberner: maintainer-feedback+


Attachments
patch (17.34 KB, patch)
2018-10-16 22:13 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2018-10-16 22:13:03 UTC
Created attachment 198239 [details]
patch

Passes poudriere 11.2 amd64.
Comment 1 Tobias C. Berner freebsd_committer 2018-10-17 05:01:02 UTC
Moin moin


It looks like it could be switched to eigen:3 now.


mfg Tobias
Comment 2 Yuri Victorovich freebsd_committer 2018-10-17 05:04:02 UTC
(In reply to Tobias C. Berner from comment #1)

It failed with eigen:3 for me, see the bug report.

This version is also going to be EOLed soon.
Comment 3 Tobias C. Berner freebsd_committer 2018-10-20 18:19:59 UTC
Looks sensible enough then :) -- if it still works, feel free to commit it.
Comment 4 Yuri Victorovich freebsd_committer 2018-10-20 21:12:05 UTC
Thanks, Tobias.
--------------------
Committed.
Comment 5 commit-hook freebsd_committer 2018-10-20 21:12:50 UTC
A commit references this bug:

Author: yuri
Date: Sat Oct 20 21:12:00 UTC 2018
New revision: 482622
URL: https://svnweb.freebsd.org/changeset/ports/482622

Log:
  science/avogadro: Update 1.1.1 -> 1.2.0

  PR:		232333
  Approved by:	tcberner (kde)

Changes:
  head/science/avogadro/Makefile
  head/science/avogadro/distinfo
  head/science/avogadro/files/patch-CMakeLists.txt
  head/science/avogadro/files/patch-libavogadro__src__camera.cpp
  head/science/avogadro/files/patch-libavogadro__src__glpainter_p.cpp
  head/science/avogadro/files/patch-libavogadro__src__glwidget.cpp
  head/science/avogadro/files/patch-libavogadro__src__tools__selectrotatetool.cpp
  head/science/avogadro/files/patch-libavogadro_src_extensions_crystallography_crystallographyextension.cpp
  head/science/avogadro/files/patch-libavogadro_src_extensions_symmetry_libmsym_src_orbital.c
  head/science/avogadro/pkg-plist
Comment 6 Tobias C. Berner freebsd_committer 2018-10-20 21:14:50 UTC
Thanks.